Bug 1271526 - [abrt] hamster-time-tracker: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Python.TypeError: Traceback (most recent call last):
[abrt] hamster-time-tracker: connection.py:651:call_blocking:DBusException: o...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hamster-time-tracker (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5cb3777941f35affedc7caf9432...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 04:25 EDT by Matthias Scholz
Modified: 2016-02-12 07:21 EST (History)
3 users (show)

See Also:
Fixed In Version: hamster-time-tracker-2.0-0.2.rc1.fc23 hamster-time-tracker-2.0-0.2.rc1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-12 06:54:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.78 KB, text/plain)
2015-10-14 04:25 EDT, Matthias Scholz
no flags Details
File: environ (1.06 KB, text/plain)
2015-10-14 04:25 EDT, Matthias Scholz
no flags Details

  None (edit)
Description Matthias Scholz 2015-10-14 04:25:09 EDT
Version-Release number of selected component:
hamster-time-tracker-1.04-4.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /usr/bin/hamster-windows-service
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
executable:     /usr/bin/hamster-windows-service
kernel:         4.1.10-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Python.TypeError: Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/dbus/service.py", line 826, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/bin/hamster-service", line 142, in AddFact
    return self.add_fact(fact, start_time = start_time, end_time = end_time) or 0
  File "/usr/lib/python2.7/site-packages/hamster/storage.py", line 45, in add_fact
    result = self.__add_fact(fact.serialized_name(), start_time, end_time, temporary)
  File "/usr/lib/python2.7/site-packages/hamster/db.py", line 606, in __add_fact
    self.__solve_overlaps(start_time, end_time)
  File "/usr/lib/python2.7/site-packages/hamster/db.py", line 476, in __solve_overlaps
    if start_time < fact["start_time"] and end_time > fact["end_time"]:
TypeError: can't compare datetime.datetime to NoneType


Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/hamster/edit_activity.py", line 211, in on_save_button_clicked
    runtime.storage.add_fact(fact, temporary)
  File "/usr/lib/python2.7/site-packages/hamster/client.py", line 187, in add_fact
    temporary_activity)
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Python.TypeError: Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/dbus/service.py", line 826, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/bin/hamster-service", line 142, in AddFact
    return self.add_fact(fact, start_time = start_time, end_time = end_time) or 0
  File "/usr/lib/python2.7/site-packages/hamster/storage.py", line 45, in add_fact
    result = self.__add_fact(fact.serialized_name(), start_time, end_time, temporary)
  File "/usr/lib/python2.7/site-packages/hamster/db.py", line 606, in __add_fact
    self.__solve_overlaps(start_time, end_time)
  File "/usr/lib/python2.7/site-packages/hamster/db.py", line 476, in __solve_overlaps
    if start_time < fact["start_time"] and end_time > fact["end_time"]:
TypeError: can't compare datetime.datetime to NoneType


Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SessionBus (session) at 0x7fb9da720bf0>
args: (u'aktienkurse \xfcberpr\xfcfen@Arbeit', 1444813200, 1444817220, False)
object_path: '/org/gnome/Hamster'
signature: u'siib'
bus_name: dbus.UTF8String(':1.45')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: 'org.gnome.Hamster'
message: <dbus.lowlevel.MethodCallMessage path: /org/gnome/Hamster, iface: org.gnome.Hamster, member: AddFact dest: :1.45>
method: 'AddFact'

Potential duplicate: bug 1170497
Comment 1 Matthias Scholz 2015-10-14 04:25:14 EDT
Created attachment 1082733 [details]
File: backtrace
Comment 2 Matthias Scholz 2015-10-14 04:25:18 EDT
Created attachment 1082734 [details]
File: environ
Comment 3 Fedora Update System 2016-02-02 15:34:39 EST
hamster-time-tracker-2.0-0.1.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-401ab10316
Comment 4 Fedora Update System 2016-02-02 17:04:09 EST
hamster-time-tracker-2.0-0.2.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-01bd33e7e6
Comment 5 Fedora Update System 2016-02-02 17:04:09 EST
hamster-time-tracker-2.0-0.2.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7bfef7108
Comment 6 Fedora Update System 2016-02-03 18:01:18 EST
hamster-time-tracker-2.0-0.2.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7bfef7108
Comment 7 Fedora Update System 2016-02-03 18:25:50 EST
hamster-time-tracker-2.0-0.2.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01bd33e7e6
Comment 8 Fedora Update System 2016-02-12 06:53:37 EST
hamster-time-tracker-2.0-0.2.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-12 07:21:20 EST
hamster-time-tracker-2.0-0.2.rc1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.